Bug 332812 - Sometimes more settings menu of panel controller does not open properly
Summary: Sometimes more settings menu of panel controller does not open properly
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Panel (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-30 14:25 UTC by Bhushan Shah
Modified: 2014-05-20 18:54 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
problem (17.67 KB, image/png)
2014-03-30 14:25 UTC, Bhushan Shah
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bhushan Shah 2014-03-30 14:25:26 UTC
Created attachment 85849 [details]
problem

Example : Desktop dashboard

check screenshot
Comment 1 Marco Martin 2014-03-31 14:30:07 UTC
I encountred it.
all the panel content items have the proper size, position and geometry (if you access them) also the mouse ares of the buttons react from where they should be.

The problem seems scene graph that while all the data of the item is correct, it doesn't paint it correctly.
Comment 2 Bhushan Shah 2014-04-07 11:39:04 UTC
confirm this?
Comment 3 Marco Martin 2014-04-24 15:30:14 UTC
Git commit 55e2b27d53d3302f8000a28d4a7fd1bd6a2af920 by Marco Martin.
Committed on 24/04/2014 at 15:25.
Pushed by mart into branch 'master'.

change a bit resize logic

Make sure to always execute one between syncToMainItemSize()
and syncMainItemToSize() in a mutually exclusive fashion.
this should (hopefully) fix the dancing dialog problem
and dialogs with content of the wrong size
Related: bug 332576

M  +44   -9    src/plasmaquick/dialog.cpp
M  +0    -4    src/plasmaquick/dialog.h

http://commits.kde.org/plasma-framework/55e2b27d53d3302f8000a28d4a7fd1bd6a2af920
Comment 4 Marco Martin 2014-04-29 11:21:13 UTC
can anybody reproduce it still?
Comment 5 Martin Klapetek 2014-05-02 13:45:14 UTC
I cannot.
Comment 6 Leszek Lesner 2014-05-14 12:18:08 UTC
I can still reproduce this on plasma-next beta 1 (neon5 20140514). Though it looks differently from the intial screenshot. It opens on the wrong place basically and then cannot be hidden easily as it overlaps the button and clicking somewhere else does not close it (besides clicking on the desktop a few times to hide the whole configure panel stuff) 

Here a video demo: http://youtu.be/-7d60c9G770
Comment 7 Martin Klapetek 2014-05-14 13:05:00 UTC
I can confirm the behavior from comment #6 --> the first time it's opened, it's not positioned properly, opening it again puts it in the right position (can be seen in the video).

Initial bug is solved though.
Comment 8 David Edmundson 2014-05-20 18:54:03 UTC
Ok, so original bug was fixed.

 Remaining bug is already reported at https://bugs.kde.org/show_bug.cgi?id=334970